@echo off
REM 5724-I63, 5724-H88 (C) COPYRIGHT International Business Machines Corp. 2002, 2005
REM All Rights Reserved * Licensed Materials - Property of IBM

set LB_ENCODING=
chcp | find "850" > nul
if not ERRORLEVEL 1 set LB_ENCODING=-Dfile.encoding=Cp850

set NAL_CLIENT_KEYS=%IBMLBPATH%\admin\keys
set NAL_SERVER_KEYS=%IBMLBPATH%\servers\key
set NAL_INSTALL_PATH=%IBMLBPATH%
set NAL_RMIPORT=14099
set NAL_RMISERVERPORT=14199
set NAL_LOGDIR=%IBMLBPATH%\servers\logs\nal\
set NAL_SCRIPTDIR=%IBMLBPATH%\servers\bin\
set NAL_LOGFILE=server.log
set NAL_CONFIGFILE=default.xml
set NAL_SAVEDIR=%IBMLBPATH%\servers\configurations\nal\

set NAL_ENVIRONMENT=-Djava.protocol.handler.pkgs=com.ibm.net.ssl.internal.www.protocol -Dcom.ibm.edge.nd.ClientKeysDirectory=%NAL_CLIENT_KEYS% -Dcom.ibm.edge.nd.ServerKeysDirectory=%NAL_SERVER_KEYS% -Dcom.ibm.edge.nd.InstallPath=%NAL_INSTALL_PATH% -Dcom.ibm.edge.nd.RMIListenPort=%NAL_RMIPORT% -Dcom.ibm.edge.nd.RMIServerPort=%NAL_RMISERVERPORT% -Dcom.ibm.edge.nd.ConfigFilename=%NAL_CONFIGFILE% -Dcom.ibm.edge.nd.ScriptDirectory=%NAL_SCRIPTDIR% -Dcom.ibm.edge.nd.LogDirectory=%NAL_LOGDIR% -Dcom.ibm.edge.nd.LogFilename=%NAL_LOGFILE% -Dcom.ibm.edge.nd.ConfigDirectory=%NAL_SAVEDIR%

set NAL_CLASSPATH=%IBMLBPATH%\servers\lib;%IBMLBPATH%\servers\lib\lbcommands.jar;%IBMLBPATH%\servers\lib\ibmlb.jar;%IBMLBPATH%\admin\lib\ChartRuntime.jar;%IBMLBPATH%\admin\lib\;%IBMLBPATH%\admin\lib\management.jar;%IBMLBPATH%\admin\lib\tmx4jc.jar;%IBMLBPATH%\servers\lib\CustomAdvisors

set PATH=%IBMLBPATH%\servers\bin;%IBMLBPATH%\servers\lib;%PATH%

if "%1" == "s" goto stop
if "%1" == "st" goto stop
if "%1" == "sto" goto stop
if "%1" == "stop" goto stop

%IBMLBPATH%\java\jre\bin\javaw %LB_ENCODING% -Xrs -Djava.net.preferIPv4Stack=true -Djava.net.preferIPv6Stack=false -cp %NAL_CLASSPATH% %NAL_ENVIRONMENT% com.ibm.internet.nd.server.SRV_NALServer
goto done

:stop
%IBMLBPATH%\java\jre\bin\java %LB_ENCODING% -Djava.net.preferIPv4Stack=true -Djava.net.preferIPv6Stack=false -cp %NAL_CLASSPATH% %NAL_ENVIRONMENT% com.ibm.internet.nd.server.SRV_KillServer NALServer NAL

:done
